@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&family=TikTok+Sans:opsz,wght@12..36,300..900&display=swap');



:root {
  --primary-color: rgb(13, 60, 143);
  --text-dark: #171717;
  --text-light: #5a5a5a;
  --extra-light: #e9f5ff;
  --white: #ffffff;
  --max-width: 1300px;
  --header-font: "TikTok Sans", sans-serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 3.4rem 1rem;
}

.deals__card video{
  padding-bottom: 2rem;
  max-width: 800px;
  transform: translateX(25%);
 

}

.section__header {
  margin-bottom: 1rem;
  font-size: 2.5rem;
  font-weight: 500;
  font-family: var(--header-font);
  color: var(--primary-color);
}


.section__description {
  font-size: 1.1rem;
  color: var(--text-light);
}

.logo {
  font-size: 1.7rem;
  font-weight: 600;
  font-family: var(--header-font);
}

img {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;

}

a {
  text-decoration: none;
  transition: 0.2s;
  color: rgb(13, 60, 143);
  
}


li {
  color: var(--text-light);
  opacity: 0.8;
}




ul {
  list-style: none;
}

html,
body {
  scroll-behavior: smooth;
  background-color: #ffffff;
}

body {
  font-family: "TikTok Sans", sans-serif;
  height: 100vh;
  width: 100vw;
  
}


nav {
  position: fixed;
  isolation: isolate;
  width: 100%;
  max-width: var(--max-width);
  margin-inline: auto;
  z-index: 9;
}

.nav__header {
  padding: 1rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--primary-color);
}

.nav__logo .logo {
  color: var(--white);
}

 /* ===== galery slider ===== */


  .fotos {
    align-items: center;
    width: 70%;
    margin: auto;
    margin-bottom: 160px;
  }

 .gallery-container{
  align-items: center;
    margin-top: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 2vw;
    
    
}
.gallery-items{
    max-width: 330px;
    height: 290px;
    margin-top: 30px;
    border-radius: 8px;
    flex-grow: 1;
    transition: transform .2s linear;
}
.gallery-items img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  
    border-radius: 20px;
}

.gallery-items:hover{
    transform: scale(1.1);
}




  /* ===== galery slider ===== */



.nav__menu__btn {
  font-size: 1.5rem;
  color: var(--white);
  cursor: pointer;
}

.nav__links {
  position: absolute;
  top: 65px;
  left: 0;
  width: 100%;
  padding: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  background-color: var(--primary-color);
  transition: 0.5s;
  z-index: -1;
  transform: translateY(-100%);
}

.nav__links.open {
  transform: translateY(0);
}

.nav__links a {
  font-weight: 500;
  color: var(--white);
}

.nav__search {
  display: none;
}

.header__container {
  display: grid;
  overflow: hidden;
}



.header__image {
  grid-area: 1/1/2/2;
}

.header__image img {
  max-width: 900px;
  margin-left: auto;
}

.header__content {
  grid-area: 1/1/2/2;
  display: flex;
  align-items: center;
}

.header__content > div {
  max-width: 500px;
  padding: 4rem 1rem;
  background-color: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(10px);
}

.header__content h1 {
  margin-bottom: 1rem;
  font-size: 4rem;
  font-weight: 700;
  font-family: "TikTok Sans", sans-serif;  
  color: var(--primary-color);
  line-height: 4rem;
  
}

.header__content p {
  font-size: 1.2rem;
  color: var(--text-light);
}

.deals__container {
  
  display: grid;
  gap: 3rem;
}



.deals__card span {
  display: inline-block;
  margin-bottom: 0.5rem;
  font-size: 2rem;
}

.deals__card h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.deals__card p {
  color: var(--text-light);
  font-size: 1rem;
}

.about__header {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.about__header .section__description {
  max-width: 600px;
}

.about__btn {
  width: fit-content;
  padding: 0.75rem 1.5rem;
  outline: none;
  font-weight: 400;
  border: none;
  font-size: 1.5rem;
  display: block;
  margin: 0 auto;
  color: var(--white);
  white-space: nowrap;
  background-color: #ff5324;
  border-radius: 2rem;
  transition: 0.8s;
  cursor: pointer;
}

.about__btn:hover{
  background-color: #0D3D8F;
}

.about__btn2 {
  width: fit-content;
  padding: 0.75rem 1.5rem;
  outline: none;
  font-weight: 300;
  border: none;
  font-size: 1rem;
  display: block;
  margin: 0 auto;
  color: var(--white);
  white-space: nowrap;
  background-color: #ff5324;
  border-radius: 3rem;
  transition: 0.8s;
  cursor: pointer;
}

.about__btn2:hover{
  background-color: #0D3D8F;
}


.about__btn3 {
  width: fit-content;
  padding: 0.75rem 1.5rem;
  outline: none;
  font-weight: 700;
  border: none;
  font-size: 3.5rem;
  display: block;
  margin: 0 auto;
  color: #0D3D8F;
  white-space: nowrap;
  transition: 0.8s;
  cursor: pointer;
}

.about__btn3:hover{
  color: #ff5324;
}



.about__content {
  margin-top: 2rem;
  display: grid;
  gap: 2rem;
}

.about__grid {
  display: grid;
  gap: 2rem;
}

.about__image {
  overflow: hidden;
}

.about__card h3 {
  margin-bottom: 0.5rem;
  font-size: 2.5rem;
  font-weight: 600;
  color: var(--primary-color);
}

.about__card h4 {
  margin-bottom: 0.5rem;
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--primary-color);
}

.about__card p {
  color: var(--text-light);
  font-size: 1rem;
}

.product__grid {
  margin-top: 4rem;
  display: grid;
  gap: 2rem;
}

.product__card {
  position: relative;
  isolation: isolate;
  padding: 2rem;
}

.product__card::before {
  position: absolute;
  content: "";
  border-radius: 1.6rem;
  top: 0;
  left: 0;
  width: 100%;
  height: 70%;
  background-color: var(--extra-light);
  z-index: -1;
  transition: 0.3s;
}

.product__card:hover::before {
  height: 100%;
}

.product__card h4 {
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--text-dark);
}

.product__card p {
  margin-bottom: 3rem;
  font-size: 1.2rem;
  color: var(--text-light);
}

.product__card img {
  max-width: 320px;
  margin-inline: auto;
}

.client__content {
  padding: 4rem 1rem;
  background-color: var(--extra-light);
  border-radius: 1rem;
}

.client__content2 {
  padding: 4rem 2rem;
  
}

.client__content :is(.section__header, .section__description) {
  max-width: 550px;
  margin-inline: auto;
  text-align: center;
  margin-bottom: 2rem;
}

.client__content .section__header {
  font-size: 3.25rem;
}



.client__content2 :is(.section__header, .section__description) {
  max-width: 550px;
  margin-inline: auto;
  text-align: center;
}

.client__content2 .section__header {
  font-size: 3.25rem;
}


.map iframe{
  border-radius: 20px;
 
  margin: 0 auto;
  display: grid;
  place-items: center;
  height: 30rem;
  
}


.swiper {
  
  width: 100%;
  
}



.client__card {
  display: grid;
  gap: 3rem;
  max-width: 800px;
  margin-inline: auto;
  text-align: center;
  
}

.client__card1 img{
  border-radius: 20px;
}

.client__card1 {
  display: grid;
  gap: 1rem;
  max-width: 600px;
  margin-inline: auto;
  text-align: center;
}







.estrela{
  width: 60px;
  padding-bottom: 10px;
  
}

.client__card img {
  max-width: 250px;
  margin-inline: auto;
  
}

.client__card p {
  margin-bottom: 2rem;
  font-size: 1.2rem;
  color: var(--text-light);
  
}

.client__card h4 {
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--text-dark);
}

.client__card h5 {
  font-size: 1rem;
  font-weight: 500;
  color: var(--text-light);
}

.footer {
  background-color: var(--primary-color);
}

.footer__container {
  display: grid;
  gap: 4rem 2rem;
}

.footer__logo {
  margin-bottom: 1rem;
}

.footer__logo .logo {
  color: var(--white);
}

.footer__col p {
  margin-bottom: 2rem;
  color: var(--extra-light);
  opacity: 0.8;
}



.footer__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer__socials a {
  font-size: 1.5rem;
  color: var(--white);
}

.footer__socials a:hover {
  opacity: 0.5;
}

.footer__col h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 400;
  color: var(--white);
}

.footer__links {
  display: grid;
  gap: 1rem;
}

.footer__links li {
  color: var(--white);
}

.footer__links a {
  color: var(--extra-light);
  opacity: 0.8;
}

.footer__links a:hover {
  opacity: 1;
}

.footer__bar {
  padding: 1rem;
  font-size: 0.9rem;
  color: var(--extra-light);
  opacity: 0.8;
  text-align: center;
}

@media (width > 540px) {
  .deals__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .about__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .product__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (width > 768px) {
  nav {
    position: static;
    padding: 2rem 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
  }

  .nav__header {
    flex: 1;
    padding: 0;
    background-color: transparent;
  }

  .nav__menu__btn {
    display: none;
  }

  .nav__logo .logo {
    color: var(--primary-color);
  }

  .nav__links {
    position: static;
    padding: 0;
    width: fit-content;
    flex-direction: row;
    gap: 3rem;
    background-color: transparent;
    transform: none;
  }

  .nav__links a {
    color: var(--text-dark);
  }

  .nav__links a:hover {
    color: var(--primary-color);
  }

  .nav__search {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 1rem;
  }

  .nav__search input {
    padding-block: 5px;
    outline: none;
    border: none;
    width: 0;
    font-size: 1rem;
    color: var(--text-dark);
    border-bottom: 1px solid var(--text-light);
    transition: 0.3s;
  }

  .nav__search.open input {
    width: 100%;
    max-width: 15rem;
  }

  .nav__search span {
    font-size: 1.5rem;
    font-weight: 500;
    color: var(--text-dark);
    cursor: pointer;
  }

  .header__container {
    padding-top: 0;
  }

  .deals__container {
    grid-template-columns: repeat(3, 1fr);
  }

  .deals__card:nth-child(1) {
    grid-column: 1/4;
  }

  .about__header {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }

  .about__content {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .about__image {
    grid-area: 1/2/2/3;
  }

  .product__grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .client__card {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    text-align: left;
  }

  .footer__container {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (width > 1024px) {
  .deals__container {
    grid-template-columns: repeat(4, 1fr);
  }

  .deals__card:nth-child(1) {
    grid-column: unset;
  }

  .about__grid {
    gap: 4rem 2rem;
  }
}
